import uuid

from pydantic import Field

from . import to_camel
from .customer import CustomerIn


class GuestBookIn(CustomerIn):
    pax: int = Field(ge=0)

    class Config:
        fields = {"id_": "id"}
        anystr_strip_whitespace = True
        alias_generator = to_camel


class GuestBook(GuestBookIn):
    id_: uuid.UUID
    date: str

    class Config:
        fields = {"id_": "id"}
        anystr_strip_whitespace = True
        alias_generator = to_camel
