import uuid

from typing import Optional

from pydantic import BaseModel, Field

from . import to_camel


class MenuCategoryLink(BaseModel):
    id_: Optional[uuid.UUID]
    name: Optional[str]

    class Config:
        fields = {"id_": "id"}


class PrinterLink(BaseModel):
    id_: Optional[uuid.UUID]

    class Config:
        fields = {"id_": "id"}


class SectionPrinter(BaseModel):
    menu_category: MenuCategoryLink
    printer: PrinterLink
    copies: int = Field(ge=0)

    class Config:
        alias_generator = to_camel
