import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { BeerConsumptionReport } from './beer-consumption-report';
import { BeerConsumptionReportService } from './beer-consumption-report.service';

@Injectable({
  providedIn: 'root',
})
export class BeerConsumptionReportResolver implements Resolve<BeerConsumptionReport> {
  constructor(private ser: BeerConsumptionReportService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<BeerConsumptionReport> {
    const startDate = route.queryParamMap.get('startDate') || null;
    const finishDate = route.queryParamMap.get('finishDate') || null;
    return this.ser.get(startDate, finishDate);
  }
}
